Subject: Re: [PATCH RFT net-next #2 0/6] via-rhine receive buffers rework

From: Nix <[email-masked]>
Date: Wed, 08 Apr 2015 18:02:41 +0100

On 7 Apr 2015, Francois Romieu stated:

> The series applies without error against v3.19 and davem-next as of
> 812034f11628aaaab0e2d7af1d3bc50a49eb396b ("cxgb4: Move ethtool related
> code to a separate file").

I am sorry to report that I just had a watchdog-triggered autoreboot
during testing of this patch series :( with no log messages of any kind.
looks like the underlying bug is still there, or another bug with the
same symptoms (i.e. some way to crash inside the rx handler). I qwish I
could get some debugging output when this happens!

However, to give some good news, CPU usage is much lower than before the
patch: si ~10%, rather than ~80% with spikes of full CPU usage:
ksoftirqd's CPU usage is steady at about 3% rather than 40--60% with
spikes to 100%, and some of that will be USB interrupts from the
continuous USB traffic from my entropy key.

-- 
NULL && (void)